<?php
// Rechenaufgabengenerator mit Fritzbox anbindung
// Erstelle Funktion für Rechenoperationen
function generiereMatheAufgaben(){
    $operators = ['+', '-', '*'];
    shuffle($operators);
    $num1 = rand(1, 10);
    $num2 = rand(1, 10);
    $num3 = rand(1, 10);
    $num4 = rand(1, 10);
	$num5 = rand(1, 10);
    $operator1 = array_shift($operators);
    $operator2 = array_shift($operators);
    $operator3 = array_shift($operators);
	// Sofern der Fall eintrifft, ist hier der 4e Operator definiert.
	$operator4 = '/';
	
	// Erstelle die Aufgabe
    $aufgabe = "$num1 $operator1 $num2 $operator2 $num3 $operator3 $num4";

    // Rechenaufgaben werde konstruiert
    if ($operator2 === '*'){
        $zwischenergebnis = $num2 * $num3;
		// Wenn das Zwischenergebnis ohne Rest durch $num5 geteilt werden kann, wird dies durchgeführt
		if ($zwischenergebnis % $num5 === 0){
			$zwischenergebnis = $zwischenergebnis / $num5;
			// Überschreibe Aufgabe mit neuen Werten
			$aufgabe = "$num1 $operator1 $num2 $operator2 $num3 $operator4 $num5 $operator3 $num4";
		}
		if ($operator1 === '+'){
			$ergebnis = $num1 + $zwischenergebnis - $num4;
		}
		else {
			$ergebnis = $num1 - $zwischenergebnis + $num4;
		}
    }
    if ($operator3 === '*'){
        $zwischenergebnis = $num3 * $num4;
		// Wenn das Zwischenergebnis ohne Rest durch $num5 geteilt werden kann, wird dies durchgeführt
		if ($zwischenergebnis % $num5 === 0){
			$zwischenergebnis = $zwischenergebnis / $num5;
			// Überschreibe Aufgabe mit neuen Werten
			$aufgabe = "$num1 $operator1 $num2 $operator2 $num3 $operator3 $num4 $operator4 $num5";
		}
        if ($operator1 === '+'){
			$ergebnis = $num1 + $num2 - $zwischenergebnis;
		}
		else {
			$ergebnis = $num1 - $num2 + $zwischenergebnis;
		}
    }
    if ($operator1 === '*'){
		$zwischenergebnis = $num1 * $num2;
		// Wenn das Zwischenergebnis ohne Rest durch $num5 geteilt werden kann, wird dies durchgeführt
		if ($zwischenergebnis % $num5 === 0){
			$zwischenergebnis = $zwischenergebnis / $num5;
			// Überschreibe Aufgabe mit neuen Werten
			$aufgabe = "$num1 $operator1 $num2 $operator4 $num5 $operator2 $num3 $operator3 $num4";
		}
		if ($operator2 === '+'){
			$ergebnis = $zwischenergebnis + $num3 - $num4;
		}
		else {
			$ergebnis = $zwischenergebnis - $num3 + $num4;
		}
    }
	
    // Rückgabe der Aufgabe und des erwarteten Ergebnisses
    return [$aufgabe, $ergebnis];
}
// Generiere eine Matheaufgabeergebnis
list($aufgabe, $ergebnis) = generiereMatheAufgaben();	
// Importiere TXT mit den Codes
$voucherFile = 'tickets.txt';
// Überprüfe, ob die Datei existiert und nicht leer ist
if (file_exists($voucherFile) && filesize($voucherFile) > 0) {
    // Die Datei enthält Codes, lese sie ein
    $contents = file_get_contents($voucherFile);
    // Teile den Inhalt der Datei in ein Array auf (verwende Leerzeichen oder Tabs als Trennzeichen)
    $vouchers = preg_split('/[\s]+/', $contents);
    // Überprüfe, ob mindestens ein Code eingelesen wurde
    if (count($vouchers) > 0) {
        // Hier kannst du die $vouchers verwenden
        $firstVoucher = array_shift($vouchers);
    } else {
        // Die Datei enthält keine Codes
		include 'fb_con.php';
		include 'modules/InternetTickets.php';
        die("ACHTUNG! Neue Codes wurden abgerufen. Bitte Seite neu laden!");
    }
} else {
    // Die Datei ist leer oder existiert nicht
	include 'fb_con.php';
	include 'modules/InternetTickets.php';
	//include 'tickets.txt';
    die("ACHTUNG! Neue Codes wurden abgerufen. Bitte Seite neu laden!");
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Rechnen für Tickets</title>
<style>
        body {
            font-family: Arial, sans-serif;
            text-align: center;
            margin: 0;
            padding: 0;
            background-color: #f0f0f0;
        }

        h1 {
            font-size: 1.5rem;
            margin: 20px 0;
        }

        p {
            font-size: 1.2rem;
        }

        input[type="text"] {
            width: 80%;
            max-width: 300px;
            padding: 10px;
            font-size: 1rem;
            margin: 10px auto;
            border: 1px solid #ccc;
            border-radius: 5px;
        }

        button {
            background-color: #007bff;
            color: #fff;
            font-size: 1rem;
            padding: 10px 20px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }

        button:hover {
            background-color: #0056b3;
        }

        #result {
            font-size: 1.2rem;
            margin: 20px auto;
            display: none;
        }

        @media (max-width: 600px) {
            /* Mobile-First: Anpassungen für kleine Bildschirme */
            h1 {
                font-size: 1.2rem;
            }

            p {
                font-size: 1rem;
            }

            input[type="text"] {
                width: 90%;
                max-width: 250px;
                font-size: 1rem;
            }

            button {
                font-size: 1rem;
            }
        }
    </style>
</head>

<body>
<!-- Zeige die Matheaufgabe und das Eingabefeld an -->
<h1>Löse die Aufgabe:</h1>
<p><?php echo $aufgabe; ?> = ?</p>

<!-- Eingabefeld für die Antwort -->
<input type="text" id="answer" placeholder="Antwort eingeben">

<!-- Button zur Überprüfung -->
<button onclick="checkAnswer(<?php echo $ergebnis; ?>)">Überprüfen</button>

<!-- Ergebnis anzeigen (wird zuerst ausgeblendet) -->
<div id="result" style="display:none;"></div>

<script>
function checkAnswer(ergebnis) {
	var userAnswer = document.getElementById('answer').value;
	var resultDiv = document.getElementById('result');
	
	if (userAnswer == ergebnis) {
		// Richtig Meldung
		resultDiv.textContent = 'Richtig!';
		if (browserok) {initsnow();}
		
		// Zeilenumbruch hinzufügen
		var lineBreak = document.createElement('br');
		resultDiv.appendChild(lineBreak);
		
		// Code Anzeige
		var voucherCode = document.createElement('p')
		voucherCode.textContent = 'Dein Code Lautet: <?php echo $firstVoucher ?>';
		resultDiv.appendChild(voucherCode)
		
		// Hier wird der Voucher-Code an die remove_voucher.php-Datei übergeben
		var xhr = new XMLHttpRequest();
		xhr.open('POST', 'r_ticket.php', true);
		xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
		xhr.send('voucher=<?php echo $firstVoucher ?>');
	} else {
		resultDiv.textContent = 'Leider falsch. Bitte versuche es erneut.';
	}
	resultDiv.style.display = 'block';
}
</script>
<script type='text/javascript'>
// Anzahl der Schneeflocken (mehr als 30 - 40 nicht empfehlenswert)
var snowmax=120;

// Farben der Schneeflocken. Es können beliebig viele Farben angegeben werden
var snowcolor=new Array("#AAAACC","#DDDDFF","#CCCCDD","#F3F3F3","#F0FFFF");

// Fonts, welche die Schneeflocken erzeugen. Beliebig viele Fonts ergänzbar
var snowtype=new Array("Arial Black","Arial Narrow","Times","Comic Sans MS");

// Zeichen für die Schneeflocke (empfohlen: * )
var snowletter="*";

// Fallgeschwindigkeit (empfohlen sind Werte zwischen 0.3 bis 2)
var sinkspeed=0.6;

// Maximale Größe der Schneeflocken
var snowmaxsize=172;

// Minimale Größe der Schneeflocken
var snowminsize=36;

/*  Schnee-Zone:
** 1 für überall, 2 für Schneefall nur auf der linken Seite
** 3 für Schneefall in der Mitte, 4 für Schneefall nur auf der rechten Seite */
var snowingzone=1;

/*
* Ab hier nichts mehr ändern *
*/

var snow=new Array();
var marginbottom;
var marginright;
var timer;
var i_snow=0;
var x_mv=new Array();
var crds=new Array();
var lftrght=new Array();
var browserinfos=navigator.userAgent ;
var ie5=document.all&&document.getElementById&&!browserinfos.match(/Opera/);
var ns6=document.getElementById&&!document.all;
var opera=browserinfos.match(/Opera/);
var browserok=ie5||ns6||opera;

function randommaker(range) {		
	rand=Math.floor(range*Math.random());
    return rand;
}

function initsnow() {
	if (ie5 || opera) {
		marginbottom = document.body.clientHeight;
		marginright = document.body.clientWidth;
	}
	else if (ns6) {
		marginbottom = window.innerHeight;
		marginright = window.innerWidth;
	}
	var snowsizerange=snowmaxsize-snowminsize;
	for (i=0;i<=snowmax;i++) {
		crds[i] = 0;                      
    	lftrght[i] = Math.random()*15;         
    	x_mv[i] = 0.03 + Math.random()/10;
		snow[i]=document.getElementById("s"+i);
		snow[i].style.fontFamily=snowtype[randommaker(snowtype.length)];
		snow[i].size=randommaker(snowsizerange)+snowminsize;
		snow[i].style.fontSize=snow[i].size;
		snow[i].style.color=snowcolor[randommaker(snowcolor.length)];
		snow[i].sink=sinkspeed*snow[i].size/5;
		if (snowingzone==1) {snow[i].posx=randommaker(marginright-snow[i].size);}
		if (snowingzone==2) {snow[i].posx=randommaker(marginright/2-snow[i].size);}
		if (snowingzone==3) {snow[i].posx=randommaker(marginright/2-snow[i].size)+marginright/4;}
		if (snowingzone==4) {snow[i].posx=randommaker(marginright/2-snow[i].size)+marginright/2;}
		snow[i].posy=randommaker(2*marginbottom-marginbottom-2*snow[i].size);
		snow[i].style.left=snow[i].posx;
		snow[i].style.top=snow[i].posy;
	}
	movesnow();
}

function movesnow() {
	for (i=0;i<=snowmax;i++) {
		crds[i] += x_mv[i];
		snow[i].posy+=snow[i].sink;
		snow[i].style.left=(snow[i].posx+lftrght[i]*Math.sin(crds[i])) + "px";
		snow[i].style.top=snow[i].posy + "px";
		
		if (snow[i].posy>=marginbottom-2*snow[i].size || parseInt(snow[i].style.left)>(marginright-3*lftrght[i])){
			if (snowingzone==1) {snow[i].posx=randommaker(marginright-snow[i].size);}
			if (snowingzone==2) {snow[i].posx=randommaker(marginright/2-snow[i].size);}
			if (snowingzone==3) {snow[i].posx=randommaker(marginright/2-snow[i].size)+marginright/4;}
			if (snowingzone==4) {snow[i].posx=randommaker(marginright/2-snow[i].size)+marginright/2;}
			snow[i].posy=0;
		}
	}
	var timer=setTimeout("movesnow()",50);
}

for (i=0;i<=snowmax;i++) {
	document.write("<span id='s"+i+"' style='position:absolute;top:-"+snowmaxsize+"px;'>"+snowletter+"</span>");
}
//-->
</script>
</body>
</html>
