<?php
// Zugriff auf Tickets
$ticketURL = 'http://fritz.box/internet/kids_profilelist.lua?sid=' . $session_id;

// HTTP GET-Anfrage, um auf die Seite zuzugreifen
$page_content = file_get_contents($ticketURL);

if (!empty($page_content)) {
	
   // HTML-Inhalt in ein DOMDocument-Objekt laden
    $dom = new DOMDocument;
    @$dom->loadHTML($page_content);

    // Ein XPath-Objekt erstellen
    $xpath = new DOMXPath($dom);

    // Daten aus der Tabelle mit der ID "uiTickets" auswählen
    $tableId = "uiTickets";
    $ticketData = [];

    $table = $xpath->query("//table[@id='$tableId']")->item(0);
    if ($table) {
        $rows = $xpath->query(".//tr", $table);
        foreach ($rows as $row) {
            $cells = $xpath->query(".//td", $row);
            $rowData = [];

            foreach ($cells as $cell) {
                $rowData[] = $cell->nodeValue;
            }
            $ticketData[] = $rowData;
        }
    }
	
	// TICKETS WERDEN IN EINE TEXTDATEI AUSGEGEBEN:
	// Zieldatei öffnen
	$file = fopen('tickets.txt', 'w');

    // Die extrahierten Tickets ausgeben
    foreach ($ticketData as $row) {
        //echo implode(" | ", $row) . "<br>";
		//-------------------------------------------------- AUSGABE DER TICKETS, DIE IN DER FRITZBOX AKTIV SIND
		foreach ($row as $ticket) {
			//echo $ticket . "<br>";
			fwrite($file, $ticket . "\n"); // "\n" fügt einen Zeilenumbruch hinzu
		}
		//-------------------------------------------------- ENDE DER TICKETS, DIE IN DER FRITZBOX AKTIV SIND
    }
	// Datei schließen
    fclose($file);

} else {
    // Keine Daten empfangen
    echo "Keine Daten empfangen.";
}
?>